<?php
if (!defined("IN_FUSION")) { header("Location: ../../index.php"); exit; }
require_once INCLUDES."theme_functions_include.php";
define("THEME_BULLET", "<img src='".THEME."images/bullet.gif' alt='->' />");
// theme settings
$body_text = "#ffffff";
$body_bg = "#222222";
$theme_width = "950";
$theme_height = "100%";
$theme_width_l = "175";
$theme_width_r = "175";

function render_page($license=false) {

global $theme_width, $settings, $locale, $theme_width_l, $theme_width_r, $body_bg;
echo "<center>Rozlisenie: 1028x960</center>";
echo "<table cellpadding='0' cellspacing='0' width='$theme_width' align='center' class='outer-border'>\n<tr>
<td class='navbar' align='center' width='$theme_width' height='25'>".showsublinks("&middot; ","white")."</td>
</tr>
</table>\n";

echo "<table align='center' cellspacing='0' cellpadding='0' width='$theme_width'>
<tr>
<td>
<table cellpadding='0' cellspacing='0' width='100%'>
<tr>

<td class='full-header'>

<table cellpadding='0' cellspacing='0' width='100%'>
</table>
</td>
</tr>
</table>\n";


echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	if (LEFT) { echo "<td class='side-border-left' width='$theme_width_l' valign='top'>".LEFT."</td>"; }
	echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
	if (RIGHT) { echo "<td class='side-border-right' width='$theme_width_r' valign='top'>".RIGHT."</td>"; }
echo "</tr>\n</table>\n";
echo "<table cellpadding='0' cellspacing='0' width='100%' class='footerbg'>
<tr>
<td align='center' width='100%' height='25' class='footer'>Tému vytvoril <a href='http://www.mancraft.tk'>mancraft.tk</a> | ".showcounter()."
</td>
</tr>
</table>\n";
}

function render_news($subject, $news, $info) {

echo "<table cellpadding='0' cellspacing='0' width='100%'>
<tr><td>
<table cellpadding='0' cellspacing='0' width='100%'>
<td aling='left' width='21' height='25'><img src='".THEME."/images/sidenavbg_left.png'></td>
<td class='capmain' align='center'>$subject</td>
<td aling='right' width='21' height='25'><img src='".THEME."/images/sidenavbg_right.png'></td>
</td></tr></table>
<tr>
<td class='main-body'>$news</td>
</tr>
<tr>
<td align='center' class='news-footer'>\n";
echo newsposter($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
echo "</td>
</tr>
</table>\n";

}

function render_article($subject, $article, $info) {
	
echo "<table width='100%' cellpadding='0' cellspacing='0'>
<tr><td>
<table cellpadding='0' cellspacing='0' width='100%'>
<td aling='left' width='20' height='25'><img src='".THEME."/images/sidenavbg_left.png'></td>
<td class='capmain' align='center' height='25'>$subject</td>
<td aling='right' width='20' height='25'><img src='".THEME."/images/sidenavbg_right.png'></td>
</td></tr></table>
<tr>
<td class='main-body'>
".($info['article_breaks'] == "y" ? nl2br($article) : $article)."
</td>
</tr>
<tr>
<td align='center' class='news-footer'>\n";
echo articleposter($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
echo "</td>
</tr>
</table>\n";

}

function opentable($title) {

echo "<table cellpadding='0' cellspacing='0' width='100%' style='margin-bottom:5px' class='outer-border'>
<tr><td>
<table cellpadding='0' cellspacing='0' width='100%'>
<td aling='left' width='20' height='25'><img src='".THEME."/images/sidenavbg_left.png'></td>
<td class='capmain' align='center' height='25'>$title</td>
<td aling='right' width='20' height='25'><img src='".THEME."/images/sidenavbg_right.png'></td>
</td></tr></table>
<tr>
<td class='main-body'>\n";

}

function closetable() {

echo "</td>
</tr>
</table>\n";

}

function openside($title, $collapse = false, $state = "on") {

global $panel_collapse; $panel_collapse = $collapse;	

echo "<table cellpadding='0' cellspacing='0' width='100%' style='margin-bottom:5px' class='outer-border'>
<tr><td>
<table cellpadding='0' cellspacing='0' width='100%'>
<td aling='left' width='20' height='25'><img src='".THEME."/images/sidenavbg_left.png'></td>
<td class='scapmain' align='center' height='25'>$title</td>
<td aling='right' width='20' height='25'><img src='".THEME."/images/sidenavbg_right.png'></td>
</td></tr></table>
<tr>
<td class='side-body'>\n";
	if ($collapse == true) { echo panelstate($state, $boxname); }
}

function closeside() {
global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }	

echo "</td>
</tr>
</table>\n";
tablebreak();

}
?>
